## Storage use `client.Stream.Videos.StorageUsage(ctx, params) (*VideoStorageUsageResponse, error)` **get** `/accounts/{account_id}/stream/storage-usage` Returns information about an account's storage use. ### Parameters - `params VideoStorageUsageParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `Creator param.Field[string]` Query param: A user-defined identifier for the media creator. ### Returns - `type VideoStorageUsageResponse struct{…}` - `Creator string` A user-defined identifier for the media creator. - `TotalStorageMinutes int64` The total minutes of video content stored in the account. - `TotalStorageMinutesLimit int64` The storage capacity alloted for the account. - `VideoCount int64` The total count of videos associated with the account. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/stream" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.Stream.Videos.StorageUsage(context.TODO(), stream.VideoStorageUsageParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.VideoCount) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "creator": "creator-id_abcde12345", "totalStorageMinutes": 0, "totalStorageMinutesLimit": 0, "videoCount": 0 } } ```